import request from '@/utils/request'

//机具退料入库
export function getReturnOfMaterialsInfoAll(query) {
    return request({
      url: '/material/inventoryAndWarehousing/getList',
      method: 'get',
      params: query
    })
  }


//机具退料入库--机具类型，规格型号下拉数据
export function getTypeList(query) {
    return request({
      url: '/material/returnOfMaterialsInfo/getTypeList',
      method: 'get',
      params: query
    })
  }


//修试后入库--列表
export function getRepairedList(data) {
    return request({
      url: '/material/RepairTestInput/getRepairedList',
      method: 'get',
      params: data
    })
  }
  
//修试后入库--详情
export function getRepairedDetailList(data) {
    return request({
      url: '/material//RepairTestInput/getRepairedDetailList',
      method: 'get',
      params: data
    })
  }
  //修试后入库--审核
export function inputByType(data) {
    return request({
      url: '/material/RepairTestInput/inputByType',
      method: 'post',
      data: data
    })
  }

//  获取 设备树
export function getDeviceTypeTree(params = {}){
  return request({
    url: '/system/select/getDeviceTypeTree',
    method: 'post',
    data: params
  })
}

// 提交编码入库
export function inputByCode(data) {
  return request({
    url: '/material/inventoryAndWarehousing/addList',
    method: 'post',
    data: data
  })
}

// 查看盘点入库详情接口
export const getInventoryWarehousingApi = (params) => {
  return request.get(`/material/inventoryAndWarehousing/getDetail`, {
    params
  })
}














